[UNOFFICIAL] LineageOS 20 for the Essential Phone

Search This thread
again, I keep telling people this, we include vendor image and boo loader in the zip, so flashing _anything_ before lineage won't change anything.

But yeah, am confused.
Even vendor? Hmm, that didn't register with me.

Hmm, every GSI needs OEM vendor image, ergo yours is a ROM, not a GSI. OK.

Still, it runs on your PH-1, and not on ours.
 

Codster314

Senior Member
Nov 5, 2015
67
26
Vancouver, BC
I did the OTA update for the 19.1 unofficial to the November build and it works perfectly. :)

I haven't tried the 20.0 version. Will stay on 19.1 unofficial for a couple months prob.
 
  • Like
Reactions: npjohnson

frog-c

New member
Jun 30, 2022
3
0
我试着输入rom但是一处于开机画面结束之后重新启动的状态,我没有在出厂固件的基础上刷入,我还试了在lineage19.1基础上刷入本rom但是还是跟之前一样处在一直重启的状态。需要有什么特殊的操作吗?
 

npjohnson

Recognized Developer
Yeah, factory reset each time, per the instructions.

I have a second Essential phone still running Official LOS 19.1. I'll try installing on it and see what results I get.

Same. The 20221110 unofficial 19.1 build works though.

That's a given, but I went a step further once more. I re-flashed the last OEM (.032), then your recovery (lineage-20.0-20221105-recovery-mata) and latest vendor (vendor-QQ1A.200105.088) to both slots, and then side-loaded your latest (lineage-20.0-20221110-UNOFFICIAL-mata.zip), and .... same thing as I described above. We have a puzzler here, huh?
Figured it out - working on it. Give me 4 Horus, new build should work.
 

MuddyDog

Senior Member
Sep 3, 2019
67
36
the new build - lineage-20.0-20221119-UNOFFICIAL-mata.zip - booted and is working nicely. haven't done anything like a complete test, but my day to day use cases are all good.
thanks lots.
 
Last edited:

ziddey

Senior Member
Aug 26, 2007
1,888
1,603
I haven't looked into it, but it appears media device switching isn't working. Paired a bt device, but despite having it selected in the switcher, output is still via the built-in speaker. Calls route through bt fine.
 
Sep 5, 2010
9
1
Hello all.
I can't get a GPS fix in any app.
I can see my location in google maps, but no app shows me a gps fix.
Is this normal?
PXL_20221128_102928517.jpg
 

danidin72

Member
Jan 24, 2011
6
1
lineage-os-logo.png

Essential Phone

Code:
- Your warranty is now void.
- You have been warned.
- Use at your own risk.

Introduction:
This is the Official Lineage OS 20 thread for the Essential Phone.

Downloads:
Please follow the install instructions in your device's Wiki page linked below exactly.
  • mata - Potentially Coming Soon!
  • mata - My unofficial with Google Apps/Pixel goodies included. Passes SafetyNet by default. OTA's roll roughly once a month. Support not guaranteed or implied.
If you don't follow these instructions, or use 3rd party add-ons (like Magisk) please don't expect support here.

Known Bugs:
  • Find any? Report them according to this guide.
Notes:
  • The only supported GApps package at the moment is MindTheGapps, linked on our Wiki page about gapps - GApps are included in my unofficial builds
  • Firmware is shipped in the ROM package for this device, so no need to worry about updating it on your own!
Kernel Source: https://github.com/LineageOS/android_kernel_essential_msm8998
Hi,
Where are all the builds? Tryed downloading from the server, it says "not found".
 

Top Liked Posts

  • There are no posts matching your filters.
  • 8
    I know we are not supposed to ask, but sorry I can't resist. Any ETA of when will the official for Mata roll out?
    we're ready, just pending code-review from other maintainers.
    1
    Same problem for build 20230110, no Bluetooth audio.
  • 8
    I know we are not supposed to ask, but sorry I can't resist. Any ETA of when will the official for Mata roll out?
    we're ready, just pending code-review from other maintainers.
    6
    lineage-os-logo.png

    Essential Phone

    Code:
    - Your warranty is now void.
    - You have been warned.
    - Use at your own risk.

    Introduction:
    This is the Official Lineage OS 20 thread for the Essential Phone.

    Downloads:
    Please follow the install instructions in your device's Wiki page linked below exactly.
    • mata - Potentially Coming Soon!
    • mata - My unofficial with Google Apps/Pixel goodies included. Passes SafetyNet by default. OTA's roll roughly once a month. Support not guaranteed or implied.
    If you don't follow these instructions, or use 3rd party add-ons (like Magisk) please don't expect support here.

    Known Bugs:
    • Find any? Report them according to this guide.
    Notes:
    • The only supported GApps package at the moment is MindTheGapps, linked on our Wiki page about gapps - GApps are included in my unofficial builds
    • Firmware is shipped in the ROM package for this device, so no need to worry about updating it on your own!
    Kernel Source: https://github.com/LineageOS/android_kernel_essential_msm8998
    4
    same, no BT audio routing to wireless. on other phones a setting can be changed in dev options to fix it but it's greyed out on my ph1.
    Think I fixed it for the next build.
    3
    Anyone else having the stock camera app crash when taking hdr pictures?
    Yes, as Nolen has said, we are taking care of this. I was working on this issue lately, but then I briefly put it aside to work on other stuff. I know this has been a long-standing bug, but with a little patience (almost?) everything is going to be fixed :)
    3
    Yeah, factory reset each time, per the instructions.

    I have a second Essential phone still running Official LOS 19.1. I'll try installing on it and see what results I get.

    Same. The 20221110 unofficial 19.1 build works though.

    That's a given, but I went a step further once more. I re-flashed the last OEM (.032), then your recovery (lineage-20.0-20221105-recovery-mata) and latest vendor (vendor-QQ1A.200105.088) to both slots, and then side-loaded your latest (lineage-20.0-20221110-UNOFFICIAL-mata.zip), and .... same thing as I described above. We have a puzzler here, huh?
    Figured it out - working on it. Give me 4 Horus, new build should work.